varspec.hh File Reference
`#include <gecode/flatzinc/option.hh>`
`#include <gecode/flatzinc/ast.hh>`
`#include <vector>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | Gecode::FlatZinc::Alias
| Alias for a variable specification More...
class | Gecode::FlatZinc::VarSpec
| Base class for variable specifications. More...
class | Gecode::FlatZinc::IntVarSpec
| Specification for integer variables. More...
class | Gecode::FlatZinc::BoolVarSpec
| Specification for Boolean variables. More...
class | Gecode::FlatZinc::FloatVarSpec
| Specification for floating point variables. More...
class | Gecode::FlatZinc::SetVarSpec
| Specification for set variables. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::FlatZinc
| Interpreter for the FlatZinc language.